| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
ArrayOps Namespace Reference

ArrayOps. More...

## Functions
template<typename Array >
auto | zip (Array &l_array, Array &r_array)
| Zips two arrays.
template<typename Array >
auto | enumerate (const Array &array)
| Enumerates an array.

## Detailed Description

ArrayOps.

Utilities for the arrays

## Function Documentation

## ◆ enumerate()

template<typename Array >

auto ArrayOps::enumerate | ( | const Array & | array | ) |
| inline

Enumerates an array.

Parameters

  array | The array

Returns
  An iterator over the two array along with the index

Todo
  Replace with std::views::enumerate when clang will fully support it

## ◆ zip()

template<typename Array >

auto ArrayOps::zip | ( | Array & | l_array,
|  | Array & | r_array )
| inline

Zips two arrays.

Parameters

  l_array | The left-side array
  r_array | The right-side array

Returns
  An iterator over the two arrays

Todo
  Replace with std::views::zip when clang will fully support it